Alibaba
happyhorse-1.0
Alibaba ATH Innovation Unit’s 15B video model — the first with native joint audio-video generation including dialogue, ambient sound, and lip-sync — #1 on the Artificial Analysis Video Arena, built for short-form, ads, and dialogue-driven video.
| Provider | Alibaba |
| Tasks | text-to-video · image-to-video |
| Starting from | 0.115800 USD / second · Pricing details |
POST
/
video-generation
happyhorse-1.0
curl --request POST \
--url https://api.linkmodel.ai/api/v1/video-generation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "happyhorse-1.0",
"first_frame_image": "<string>",
"images": [
"<string>"
],
"duration": 9,
"prompt": "<string>",
"videos": [
"<string>"
]
}
'import requests
url = "https://api.linkmodel.ai/api/v1/video-generation"
payload = {
"model": "happyhorse-1.0",
"first_frame_image": "<string>",
"images": ["<string>"],
"duration": 9,
"prompt": "<string>",
"videos": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'happyhorse-1.0',
first_frame_image: '<string>',
images: ['<string>'],
duration: 9,
prompt: '<string>',
videos: ['<string>']
})
};
fetch('https://api.linkmodel.ai/api/v1/video-generation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"data": {
"task_id": "cb6111cf-e89f-4978-b8e3-aa59c21cceff",
"order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
"status": "processing",
"price": 0.074
},
"msg": "success",
"request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}{
"code": 400,
"msg": "task_id is required",
"request_id": "96be7a7d-3e81-4916-a6b8-19b32773a693"
}{
"code": 401,
"data": {},
"msg": "invalid api key",
"request_id": "bff4c295-c7da-4507-9708-4627cb6373ba"
}{
"code": 500,
"msg": "create task failed: billing: code=100601: insufficient balance",
"request_id": "3409f6fb-fa9a-4534-b530-195b5f6f4e32"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
happyhorse-1.0 Maximum 9 items.
Maximum array length:
9Must be between 3 and 15.
Required range:
3 <= x <= 15Length must be at most 5000.
Maximum string length:
5000Must be one of: 1080P, 720P.
Available options:
1080P, 720P Must be one of: 16:9, 1:1, 3:4, 4:3, 4:5, 5:4, 9:16.
Available options:
16:9, 1:1, 3:4, 4:3, 4:5, 5:4, 9:16 Maximum 3 items.
Maximum array length:
3Was this page helpful?
⌘I
happyhorse-1.0
